import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { InstallerComponent } from './installer/installer.component';
import { RouterModule, Routes } from '@angular/router';
import { SharedModule } from '@shared/shared.module';

import { ReceiverComponent } from './receiver/receiver.component';
import { UserInstallerEditComponent } from './installer/edit/edit.component';

const routes: Routes = [
  {
    path: '',
    children: [
      { path: 'installer', component: InstallerComponent },
      { path: 'receiver', component: ReceiverComponent }
    ]
  }
];

const COMPONENTS_NOROUNT = [ UserInstallerEditComponent ];

@NgModule({
  imports: [
    CommonModule,
    SharedModule,
    RouterModule.forChild(routes)
  ],
  declarations: [
    InstallerComponent,
    ReceiverComponent,
    ...COMPONENTS_NOROUNT
  ],
  entryComponents: COMPONENTS_NOROUNT
})
export class UsersModule { }
